Bug 171892 - graphics/libvisual04-plugins: unbreak with clang
Summary: graphics/libvisual04-plugins: unbreak with clang
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-23 14:30 UTC by Dima Panov
Modified: 2012-10-06 19:46 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (977 bytes, patch)
2012-09-23 14:30 UTC, Dima Panov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dima Panov freebsd_committer 2012-09-23 14:30:08 UTC
	fix mistyped return statements, which clang objects strenuously to

Fix: Fix obtained from PkgSrc
Comment 1 Edwin Groothuis freebsd_committer 2012-09-23 14:30:18 UTC
Maintainer of graphics/libvisual04-plugins,

Please note that PR ports/171892 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/171892

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2012-09-23 14:30:22 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Björn König 2012-09-25 07:23:55 UTC
Ok, go ahead. Thank you.
Comment 4 Dima Panov freebsd_committer 2012-09-25 10:20:13 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 5 dfilter service freebsd_committer 2012-09-25 10:20:16 UTC
Author: fluffy
Date: Tue Sep 25 09:19:43 2012
New Revision: 304826
URL: http://svn.freebsd.org/changeset/ports/304826

Log:
  - Fix mistyped return statements, which clang objects strenuously to
  
  PR:		171892
  Submitted by:	myself
  Approved by:	bkoenig AT alpha-tierchen DOT de (maintainer)
  Obtained from:	PkgSrc

Added:
  head/graphics/libvisual04-plugins/files/
  head/graphics/libvisual04-plugins/files/patch-plugins_morph_flash_morph__flash.c   (contents, props changed)

Added: head/graphics/libvisual04-plugins/files/patch-plugins_morph_flash_morph__flash.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/libvisual04-plugins/files/patch-plugins_morph_flash_morph__flash.c	Tue Sep 25 09:19:43 2012	(r304826)
@@ -0,0 +1,13 @@
+- fix mistyped return statements, which clang objects strenuously to
+
+--- plugins/morph/flash/morph_flash.c~	2006-01-27 20:19:18.000000000 +0000
++++ plugins/morph/flash/morph_flash.c
+@@ -116,7 +116,7 @@ int lv_morph_flash_palette (VisPluginDat
+ 	FlashPrivate *priv = visual_object_get_private (VISUAL_OBJECT (plugin));
+ 
+ 	if (src1->pal == NULL || src2->pal == NULL)
+-		return;
++		return 0;
+ 
+ 	if (rate < 0.5)
+ 		visual_palette_blend (pal, src1->pal, &priv->whitepal, rate * 2);
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"